This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1255869 - REST task query response is missing actual-owner tag after upgrading to Update2 in BPM Suite 6.1.2
REST task query response is missing actual-owner tag after upgrading to Updat...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.2.0
Assigned To: Shelly McGowan
Tomas Livora
:
Depends On:
Blocks: 1258043
  Show dependency treegraph
 
Reported: 2015-08-21 14:16 EDT by Amana
Modified: 2016-09-20 01:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1258043 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
task_query_output_with_update2 (1.57 KB, application/xml)
2015-08-21 14:16 EDT, Amana
no flags Details
task_query_output_without_update2 (1022 bytes, application/xml)
2015-08-21 14:17 EDT, Amana
no flags Details

  None (edit)
Description Amana 2015-08-21 14:16:14 EDT
Description of problem:
After applying Update 2, the REST task query response is NOT returning actual-owner tag when a task is in InProgress or  Reserved status.

  /business-central/rest/task/query

Please see the attached task responses for each BPM Suite version


Version-Release number of selected component (if applicable):
6.1.2

How reproducible:
Always

Steps to Reproduce:
1. create a simple process with one HT (give an Actor name to the HT);
2. start the process and run the query;

  /business-central/rest/task/query

Actual results:
actual-owner tag is missing

Expected results:
actual-owner tag should be displayed

Additional info:
Comment 1 Amana 2015-08-21 14:16:50 EDT
Created attachment 1065677 [details]
task_query_output_with_update2
Comment 2 Amana 2015-08-21 14:17:06 EDT
Created attachment 1065678 [details]
task_query_output_without_update2
Comment 5 Marco Rietveld 2015-08-26 11:47:53 EDT
Fixed. Because of other changes, the problem does not occur on 6.3.x or master, but I've cherry-picked the commits there to be sure. 

Commits: 
6.2.x: https://github.com/droolsjbpm/droolsjbpm-integration/commit/a437acd6
6.3.x: https://github.com/droolsjbpm/droolsjbpm-integration/commit/6ec766eb
master: https://github.com/droolsjbpm/droolsjbpm-integration/commit/bd6b31ef
Comment 6 Marco Rietveld 2015-08-26 11:50:08 EDT
There are 2 workarounds available for this problem: 

1. Use the GET http://<server>:<port>/business-central/rest/task/{taskId} to retrieve the full task information (as opposed to the task summary), which contains the actual owner information. 

2. Use the Remote Java API client (kie-remote-client) to retrieve the task, using the TaskService.getTaskById(long taskId). 

For both workarounds, the user will need to first identify the task id of the task that the information is needed for, and then retrieve the whole task.
Comment 7 Amana 2015-08-27 08:35:15 EDT
Will it be fixed in Update 4?
Comment 8 Kris Verlaenen 2015-08-27 18:16:25 EDT
This shouldn't have been committed to 6.2.x yet, so we're going to revert that.  If this needs to be part of a patch update, please make sure it is requested using the normal procedure.  This BZ stays MODIFIED as the change will automatically be picked up for 6.2 product.
Comment 9 Marco Rietveld 2015-08-29 06:15:41 EDT
The 6.2.x commit has been reverted.
Comment 10 Tomas Livora 2015-10-29 06:00:03 EDT
Verified on BPMS 6.2.0 ER4

Note You need to log in before you can comment on or make changes to this bug.